QT5 qtcreator 加入qwt画图插件

QT5 qtcreator加入qwt画图插件
一。下载QWT:
    QWT是QT 是 第三方开源图表库,遵循LGPL协议。下载地址:http://qwt.sourceforge.net/ , 我下载的版本是 Download qwt-6.1.0.tar.bz2 (3.5 MB);
   6.1.0 支持QT 4.8 以上和QT 5版本。

    tar xvf qwt-6.1.0.tar.bz2  得到 qwt-6.1.0文件夹.


二。编译安装:
    按照步骤 qmake --->   make ---> make install
    1) qmake :
          查看一下qmake 版本:
qwt-6.1.0-> qmake -v
QMake version 3.0
Using Qt version 5.3.1 in /usr/lib/x86_64-linux-gnu
qwt-6.1.0-> 
qmake  , qtcreator  , qtdesigner 和 QT 的版本必须一致。要么是 QT4 ,要么就是 QT5, qtcreator是QT5特有的core,ui编译IDE,其中ui编辑会调用qtdesigner.  我的linux 中安装了QT4和QT 5.所以安装的时候出现了一些版本不兼容的问题,后来把版本一一统一后,问题就消除了。

x86_64-linux-gnu-> which qmake
/usr/bin/qmake
x86_64-linux-gnu-> l /usr/bin/qmake
lrwxrwxrwx 1 root root 39 Jul  4 13:46 /usr/bin/qmake -> /usr/lib/x86_64-linux-gnu/qt5/bin/qmake*   // 设置成QT5的qmake.
x86_64-linux-gnu->  

QT5:
x86_64-linux-gnu-> /usr/lib/x86_64-linux-gnu/qt5/bin/qmake -v
QMake version 3.0
Using Qt version 5.3.1 in /usr/lib/x86_64-linux-gnu
x86_64-linux-gnu-> 

QT4:
x86_64-linux-gnu-> /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -v
QMake version 2.01a
Using Qt version 4.8.6 in /usr/lib/x86_64-linux-gnu
x86_64-linux-gnu-> 

版本OK,没问题。
进入qwt-6.1.0

cd qwt-6.1.0
qmake qwt.pro



    2) make:

如果出现这样的错误:Project ERROR: Unknown module(s) in QT: svg

很 有可能 qmake 版本不一致造成的。

如果出现这样的错误:qwt_plot_glcanvas.h:15:17: fatal error: qgl.h: No such file or directory

打开qwtconfig.pri , 屏蔽QwtOpenGL, 如:# QWT_CONFIG     += QwtOpenGL

如果出现这样的错误:Project ERROR: Unknown module(s) in QT: designer

安装qttools5-dev:sudo apt-get install qttools5-dev*

编译完成后会在  designer/plugins/designer/ 目录下生成libqwt_designer_plugin.so这个动态库,这就是我们想要用到的插件。

   3)make install

make install 后 会在/usr/local 会生成qwt-6.1.0文件夹,文件夹下复制了qwt动态库、头文件、插件和说明文档等,如:

qwt-6.1.0-> ls
doc/  features/  include/  lib/  plugins/

qwt-6.1.0-> ls -l plugins/designer/
total 144K
-rwxr-xr-x 1 root staff 144K Jul  4 11:18 libqwt_designer_plugin.so*   //插件
qwt-6.1.0->


三。qtcreator 加入libqwt_designer_plugin.so插件:

把插件复制到QT5的安装目录下的plugins目录下:

sudo cp /usr/local/qwt-6.1.0/plugins/designer/libqwt_designer_plugin.so /usr/lib/x86_64-linux-gnu/qt5/plugins/designer


designer-> pwd
/usr/lib/x86_64-linux-gnu/qt5/plugins/designer
designer-> ls
libcontainerextension.so  libqquickwidget.so  libqwt_designer_plugin.so*  libworldtimeclockplugin.so

libcustomwidgetplugin.so  libqwebview.so      libtaskmenuextension.so

designer-> 


致此,在qtcreator 的Design下面就可以看到Qwt widgets的控件栏了。「


四。使用qtcreator 使用qwt插件编写一个测试例子:

1)添加控件:



在工程的 ***.pro 文件开始添加

INCLUDEPATH += /usr/local/qwt-6.1.0/include
LIBS += -L/usr/local/qwt-6.1.0/lib -lqwt -Wl,-rpath,/usr/local/qwt-6.1.0/lib

因为是动态库所以要加 -Wl,-rpath,/usr/local/qwt-6.1.0/lib , 运行的时候就会自动查找了。当然了,你也可以把lib的路径改成当前的,如果还觉得麻烦可以在前面我们编译QWT的时候,通过qmake 生成的Makefile,通过修改这一个Makefile来生成静态库,而不是libqwt.so。

F5运行一下:

好了。运行成功。OK

展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客
应支付0元
点击重新获取
扫码支付

支付成功即可阅读